import os
from setuptools import setup, find_packages


def read(fname):
    with open(os.path.join(os.path.dirname(__file__), fname)) as f:
        return f.read().strip()


pkg_name = 'selfy'

setup(
    name=pkg_name,
    version='0.0.0',
    author='Jim Fan',
    # url='http://github.com/SurrealAI/TorchX',
    description='research project',
    # long_description=read('README.rst'),
    keywords=['Deep Learning',
              'Machine Learning'],
    license='MIT',
    packages=[
        package for package in find_packages() if package.startswith(pkg_name)
    ],
    entry_points={
        'console_scripts': [
            # 'printckpt=torchx.session.checkpoint:print_checkpoint',
        ]
    },
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "Environment :: Console",
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License"
    ],
    python_requires='>=3.7',
    include_package_data=True,
    zip_safe=False
)
